Bug 1519646 - Regression tests: dd command with seek_bytes is failing on centos6
Summary: Regression tests: dd command with seek_bytes is failing on centos6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nigel Babu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 07:00 UTC by Ashish Pandey
Modified: 2018-01-19 00:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-19 00:28:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
ashish ssh key (745 bytes, text/plain)
2017-12-01 09:38 UTC, Ashish Pandey
no flags Details

Description Ashish Pandey 2017-12-01 07:00:36 UTC
Description of problem:

https://build.gluster.org/job/centos6-regression/7773/console
is failing.

It looks like that dd command with seek_bytes is not supported on centos6


11:50:19 FAILED COMMAND: dd if=/d/backends/misc_file of=/mnt/glusterfs/0/test_file bs=1000 count=1 oflag=seek_bytes,sync seek=2050 conv=notrunc
11:50:19 not ok 250 Got "0" instead of "2", LINENUM:60
11:50:19 FAILED COMMAND: 2 echo 0
11:50:19 not ok 251 Got "1" instead of "4", LINENUM:61
11:50:19 FAILED COMMAND: 4 echo 1
11:50:19 ok 252, LINENUM:62
11:50:19 ok 253, LINENUM:63
11:50:19 ok 254, LINENUM:69
11:50:19 ok 255, LINENUM:71
11:50:19 Total loop tests 195
11:50:19 Failed 86/255 subtests 
11:50:19 
11:50:19 Test Summary Report
11:50:19 -------------------
11:50:19 ./tests/basic/ec/ec-stripe.t (Wstat: 0 Tests: 255 Failed: 86)
11:50:19   Failed tests:  20-23, 33-38, 48-51, 53, 63-66, 68, 78-83
11:50:19                 93-98, 108-109, 112-115, 125-126, 129-132
11:50:19                 142-143, 146-149, 159-160, 163-166, 176-177
11:50:19                 180-183, 193-194, 197-200, 210-211, 214-217
11:50:19                 227-228, 231-234, 244-245, 248-251
11:50:19 Files=1, Tests=255, 206 wallclock secs ( 0.11 usr  0.01 sys +  3.13 cusr  2.77 csys =  6.02 CPU)
11:50:19 Result: FAIL
11:50:19 ./tests/basic/ec/ec-stripe.t: bad status 1
11:50:19 
11:50:19        *********************************
11:50:19        *       REGRESSION FAILED       *
11:50:19        * Retrying failed tests in case *
11:50:19        * we got some spurious failures *
11:50:19        *********************************
11:50:19 
11:50:25 dd: invalid output flag: `seek_bytes'
11:50:25 Try `dd --help' for more information.
11:50:25 dd: invalid output flag: `seek_bytes'

Version-Release number of selected component (if applicable):



Could you please confirm this?
How can we run this test on centos 7 if the above is true

Comment 1 Ashish Pandey 2017-12-01 07:02:43 UTC
Please try one of these command to make sure it is working fine on centos 6

dd if=/dev/urandom of=./test_file bs=1000 count=1 oflag=seek_bytes,sync seek=2050 conv=notrunc

Comment 2 Nigel Babu 2017-12-01 08:29:16 UTC
Can you attach your SSH public key, please?

Comment 3 Ashish Pandey 2017-12-01 09:38:28 UTC
Created attachment 1361483 [details]
ashish ssh key

Comment 4 Ashish Pandey 2017-12-04 07:59:11 UTC
What do we need to do next? My patch is waiting on this.

Comment 5 Nigel Babu 2017-12-04 08:35:26 UTC
You should be able to SSH in as jenkins@slave33.cloud.gluster.org. I'll take back the machine next Monday unless requested on the bug.

Comment 6 Ashish Pandey 2018-01-15 06:29:31 UTC
Nigel,

Have you moved regression on centos7?

--
Ashish

Comment 7 Nigel Babu 2018-01-17 01:43:34 UTC
No. Please read the notes on last week's maintainer meeting to understand why this is taking time.

Comment 8 Nigel Babu 2018-01-19 00:28:26 UTC
Machine back in the pool.


Note You need to log in before you can comment on or make changes to this bug.